package businessLogic;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
import java.util.Vector;

import common.OwnerInterface;

import dataAccess.DB4oManager;
import domain.Owner;

public class OwnerManager extends UnicastRemoteObject implements OwnerInterface {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	DB4oManager dbMngr;

	public OwnerManager() throws RemoteException {
		super();
		try {
			dbMngr = DB4oManager.getInstance();
		} catch (Exception e) {

			e.printStackTrace();
		}
	}

	/**
	 * This method existing  owners 
	 * 
	 */
	public Vector<Owner> getOwners() throws RemoteException,
			Exception {
		
		
		return dbMngr.getOwners();
	}

	
}
