package domain;

import java.io.Serializable;
import java.util.Arrays;



public class Account implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	

	private byte[] username;
	private byte[] password;
	private byte[] salt;


	private Owner owner;
	private boolean admin = false;

	
	

	public byte[] getUsername() {
		return username;
	}

	public byte[] getPassword() {
		return password;
	}

	public Owner getOwner() {
		return owner;
	}

	public boolean getAdmin() {
		return admin;
	}

	public void setAdmin(boolean admin) {
		this.admin = admin;
	}

	public byte[] getSalt() {
		return salt;
	}

	public void setSalt(byte[] salt) {
		this.salt = salt;
	}
	

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Account other = (Account) obj;
		if (!Arrays.equals(password, other.password))
			return false;
		if (!Arrays.equals(username, other.username))
			return false;
		return true;
	}

}
