package domain;

import java.io.Serializable;

public enum Districs implements Serializable {

	/**
	 * 
	 */
	BEA("Beatriz"), GUA("Guazate"), VEG("Vegas"), FAR("Farallón"), CED("Cedro"), MOT(
			"Monte LLano"), RIN("Rincón"), PUE("Pueblo"), QUA("Quebrada Arriba"), QEB(
			"Quebrada Abajo"), TOI("Toita"), MAB("Matón Abajo"), MAA(
			"Matón Arriba"), PIE("Piedras"), PAV("Pasto Viejo"), PEA(
			"PedroAvila"), SUM("Sumido"), LAP("Lapa"), CER("Cercadillo"), JAJ(
			"JójomeAlto"), CUL("CulebrasAbajo");
			
	private static final long serialVersionUID = 1L; 

	
	private final String longName;

	Districs(String longName) {
		this.longName = longName;
	}

	public static String[] longNames() {
		String[] result = new String[Districs.values().length];
		for (Districs d : Districs.values()) {
			result[d.ordinal()] = d.longName;
		}
		return result;

	}
}
